## org.apache.jasper.security
Class SecurityUtil

    java.lang.Object
      org.apache.jasper.security.SecurityUtil

    public final class SecurityUtil

extends Object

Util class for Security related operations.

Author:
  Jean-Francois Arcand

Constructor Summary
`SecurityUtil()`

Method Summary
`static boolean` `isPackageProtectionEnabled()` Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityUtil

    public SecurityUtil()

Method Detail

### isPackageProtectionEnabled

    public static boolean isPackageProtectionEnabled()

  Return the `SecurityManager` only if Security is enabled AND package protection mechanism is enabled.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.